'use strict';

angular.module('adf.widget.electre.lavoisier')
    .controller('lavoisierTableEditCtrl',
        [
            '$scope', 'config', '$controller', 'domService', 'renderingFactory', 'renderingTextList',
            function ($scope, config, $controller, domService, renderingFactory, renderingTextList) {
                $controller('lavoisierBaseEditCtrl',
                    {
                        $scope : $scope,
                        config : config
                    }
                );

                var filter = {
                    label : domService.createElement("label").setAttribute('for', 'edit_table_filter_chk').getDom(),
                    checkbox : domService.createElement("input")
                                        .setAttribute('id', 'edit_table_filter_chk')
                                        .setAttribute('class', 'form-control')
                                        .setAttribute('type', 'checkbox')
                                        .setAttribute('ng-model', 'config.filter')
                                        .getDom(),
                    div : domService.createElement("div")
                                        .setAttribute('class', 'form-group')
                                        .getDom()
                };
                filter.div.appendChild(filter.label); filter.div.appendChild(filter.checkbox);
                filter.label.innerHTML = "Filters (On/Off)";
                angular.element(document.getElementById('edit_form_div_lavoisier')).append(filter.div);
            }
        ]
    );